javax.swing.plaf.basic

## Class BasicFileChooserUI.BasicFileView

- java.lang.Object
- - javax.swing.filechooser.FileView
  - - javax.swing.plaf.basic.BasicFileChooserUI.BasicFileView

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.BasicFileView
    extends FileView

### Field Summary

Fields
`protected Hashtable<File,Icon>` `iconCache`

### Constructor Summary

Constructors
Constructor and Description
`BasicFileChooserUI.BasicFileView()`

### Method Summary

Methods
`void` `cacheIcon(File f, Icon i)`
`void` `clearIconCache()`
`Icon` `getCachedIcon(File f)`
`String` `getDescription(File f)` A human readable description of the file.
`Icon` `getIcon(File f)` The icon that represents this file in the `JFileChooser`.
`String` `getName(File f)` The name of the file.
`String` `getTypeDescription(File f)` A human readable description of the type of the file.
`Boolean` `isHidden(File f)`

### Methods inherited from class javax.swing.filechooser.FileView

`isTraversable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### iconCache

    protected Hashtable<File,Icon> iconCache

### Constructor Detail

#### BasicFileChooserUI.BasicFileView

    public BasicFileChooserUI.BasicFileView()

### Method Detail

#### clearIconCache

    public void clearIconCache()

#### getName

    public String getName(File f)

Description copied from class: `FileView`
The name of the file. Normally this would be simply `f.getName()`.

Overrides:
  `getName` in class `FileView`

#### getDescription

    public String getDescription(File f)

Description copied from class: `FileView`
A human readable description of the file. For example, a file named jag.jpg might have a description that read: "A JPEG image file of James Gosling's face".

Overrides:
  `getDescription` in class `FileView`

#### getTypeDescription

    public String getTypeDescription(File f)

Description copied from class: `FileView`
A human readable description of the type of the file. For example, a `jpg` file might have a type description of: "A JPEG Compressed Image File"

Overrides:
  `getTypeDescription` in class `FileView`

#### getCachedIcon

    public Icon getCachedIcon(File f)

#### cacheIcon

    public void cacheIcon(File f,
                 Icon i)

#### getIcon

    public Icon getIcon(File f)

Description copied from class: `FileView`
The icon that represents this file in the `JFileChooser`.

Overrides:
  `getIcon` in class `FileView`

#### isHidden

    public Boolean isHidden(File f)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.